//
//  NJRLabeledImageCell.h
//  HostLauncher
//
//  Created by nicholas on Wed Aug 01 2001.
//  Copyright (c) 2001 Nicholas Riley. All rights reserved.
//

/*

 F-Script Anywhere is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 F-Script Anywhere is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with F-Script Anywhere; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#import <Cocoa/Cocoa.h>


@interface NJRLabeledImageCell : NSTextFieldCell {
@private
    NSImage *image;
}

+ (NJRLabeledImageCell *)cell;

- (void)setImage:(NSImage *)anImage;
- (NSImage *)image;

- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;
- (NSSize)cellSize;

@end

// The cell may rescale the image in its drawing routine. To avoid scaling the image each time, if the imageCacheSource is set, the cell will store the scaled image and retrieve it later, using the following methods:
@interface NJRLabeledImageCell (NJRLabeledImageCellCacheSource)
- (NSImage *)cachedImage;
- (void)setCachedImage:(NSImage *)anImage;
@end